Added Arch PKGBUILDs

This commit is contained in:
Christian Beckhäuser 2019-09-12 13:29:17 +02:00
parent 95abeb0d64
commit b97091cf70
6 changed files with 241 additions and 0 deletions

View file

@ -0,0 +1,37 @@
# Contributor : zico <zico@dxx-rebirth.com>
pkgname=d1x-rebirth
pkgver=0.61
pkgrel=1
pkgdesc="An enhanced engine to play with Descent1 datas"
arch=('i686' 'x86_64')
url="http://www.dxx-rebirth.com/"
license=('custom:D1x' 'LGPL' 'custom:as-is')
depends=('sdl' 'sdl_mixer' 'mesa' 'physfs')
makedepends=('scons')
install=$pkgname.install
source=(git+https://github.com/dxx-rebirth/dxx-rebirth.git $pkgname.desktop $pkgname.install http://www.dxx-rebirth.com/download/dxx/res/d1xr-hires.dxa)
noextract=(d1xr-hires.dxa d1xr-sc55-music.dxa)
md5sums=('SKIP'
'ded1f8c2deb3825134e1a984985684cb'
'78c79b2b82175ebd4073edf257a9bd68'
'7d978ce3875995e54cbf426167e88b94')
package() {
cd $srcdir/dxx-rebirth
#sed -ie "/^PREFIX =/s|/usr/local/|/usr/|" SConstruct
scons sharepath="/usr/share/$pkgname" d1x=1 d2x=0 -j4 || return 1
mkdir -p $pkgdir/usr/bin/
mkdir -p $pkgdir/usr/share/$pkgname/
mkdir -p $pkgdir/usr/share/pixmaps/
mkdir -p $pkgdir/usr/share/applications/
mkdir -p $pkgdir/usr/share/licenses/$pkgname/
install -m755 $pkgname/$pkgname $pkgdir/usr/bin/
install -m755 $pkgname/$pkgname.xpm $pkgdir/usr/share/pixmaps/
install -m644 COPYING.txt $pkgdir/usr/share/licenses/$pkgname/
cd $srcdir/
install -m644 $srcdir/$pkgname.desktop $pkgdir/usr/share/applications/
install -m644 d1xr-hires.dxa $pkgdir/usr/share/$pkgname/
}

View file

@ -0,0 +1,10 @@
[Desktop Entry]
Version=1.0
Type=Application
Categories=Game;ActionGame;
Name=Descent 1 Rebirth
GenericName=FP Action Game
Comment=First person action game controlling a ship with 6 degrees of freedom
Comment[fr]=Jeu à la première personne où l'on contrôle un vaisseau qui permet de se déplacer avec 6 degrés de liberté
Exec=d1x-rebirth
Icon=d1x-rebirth

View file

@ -0,0 +1,31 @@
post_install() {
echo 'Put your Descent 1 datas either to /usr/share/d1x-rebirth/ or ~/.d1x-rebirth/'
cat << EOF
Following files are needed to run the game:
descent.hog
descent.pig
You don't own the full game, yet?
Just visit GOOD OLD GAMES via:
http://www.gog.com/en/gamecard/descent_1_descent_2/pp/fc074d501302eb2b93e2554793fcaf50b3bf7291
and download it for a very low price! DRM-FREE!
You can get AddOns for the game from http://www.dxx-rebirth.com/addons/
EOF
}
post_upgrade() {
post_install
}
pre_remove() {
/bin/true
}
op=$1
shift
$op "$@"

View file

@ -0,0 +1,36 @@
# Contributor : zico <zico@dxx-rebirth.com>
pkgname=d2x-rebirth
pkgver=0.61
pkgrel=1
pkgdesc="An enhanced engine to play with Descent2 datas"
arch=('i686' 'x86_64')
url="http://www.dxx-rebirth.com/"
license=('custom:D1x' 'LGPL' 'custom:as-is')
depends=('sdl' 'sdl_mixer' 'mesa' 'physfs')
makedepends=('scons')
install=$pkgname.install
source=(git+https://github.com/dxx-rebirth/dxx-rebirth.git $pkgname.desktop $pkgname.install)
noextract=(d2xr-sc55-music.dxa)
md5sums=('SKIP'
'3771fe1979a98ed32e7a9c9be8aa80a6'
'6836b665ac0c67117c810de77ca5e739')
package() {
cd $srcdir/dxx-rebirth
#sed -ie "/^PREFIX =/s|/usr/local/|/usr/|" SConstruct
scons sharepath="/usr/share/$pkgname" d1x=0 d2x=1 -j4 || return 1
mkdir -p $pkgdir/usr/bin/
mkdir -p $pkgdir/usr/share/$pkgname/
mkdir -p $pkgdir/usr/share/pixmaps/
mkdir -p $pkgdir/usr/share/applications/
mkdir -p $pkgdir/usr/share/licenses/$pkgname/
install -m755 $pkgname/$pkgname $pkgdir/usr/bin/
install -m755 $pkgname/$pkgname.xpm $pkgdir/usr/share/pixmaps/
install -m644 COPYING.txt $pkgdir/usr/share/licenses/$pkgname/
cd $srcdir/
install -m644 $srcdir/$pkgname.desktop $pkgdir/usr/share/applications/
}

View file

@ -0,0 +1,10 @@
[Desktop Entry]
Version=1.0
Type=Application
Categories=Game;ActionGame;
Name=Descent 2 X Rebirth
GenericName=FP Action Game
Comment=First person action game controlling a ship with 6 degrees of freedom
Comment[fr]=Jeu à la première personne où l'on contrôle un vaisseau qui permet de se déplacer avec 6 degrés de liberté
Exec=d2x-rebirth
Icon=d2x-rebirth

View file

@ -0,0 +1,117 @@
post_install() {
function install_datas() {
read -p "I'm about to install Descent 2 datas to /usr/share/d2x-rebirth/, would you like to continue (Y/n) ? "
case $REPLY in
n|N) return 1;;
esac
type unarj &> /dev/null
if (($?)); then
echo 'I need unarj to continue';
read -p 'Do you want install it (Y/n) ? '
case $REPLY in
n|N) return 1;;
esac
pacman -Sy unarj || return 2
fi
cont=1
while (($cont)); do
echo 'Give me the complete path to "descent2.sow" file (example, with the cd drive : /path/to/drive/d2data/descent2.sow)'
read
if [ -z "$REPLY" ]; then return 2; fi
if [ -f "$REPLY" ]; then
cont=0;
else
echo -e "Bad path (Enter to abort)\n"
fi
done
descent_file="$REPLY"
cd /usr/share/d2x-rebirth/
unarj e "$descent_file" &> /dev/null
if (($?)); then echo -e '!! Error with unarj !!\n' >&2; return 2; fi
rm *.exe *.dll *.txt *.bat descent.cfg descentg.ini \
descent.hi *.doc eregcard.ini &>/dev/null
read -p 'Would you like to include movies files (need 210 MB more space) (N/y) ? '
case $REPLY in
y|Y) :;;
*) return 0;;
esac
cont=1
while (($cont)); do
echo 'Give me the complete path to the directory that contains those movies (example, with the cd drive : /path/to/drive/d2data/)'
read
if [ -z "$REPLY" ]; then return 2; fi
if [ -d "$REPLY" ]; then
cont=0;
else
echo -e "Bad path (Enter to abort)\n"
fi
done
movies_path="$REPLY"
cp "$movies_path"/*-h.mvl . &> /dev/null
chmod 644 * &> /dev/null
return 0
}
old_path=`pwd`
install_datas
ret=$?
cd $old_path
if (($ret)); then
echo 'Put your Descent 2 datas either to /usr/share/d2x-rebirth/ or ~/.d2x-rebirth/'
cat << EOF
Following files are needed to run the game:
descent2.ham
descent2.hog
descent2.s11
descent2.s22
alien1.pig
alien2.pig
fire.pig
groupa.pig
ice.pig
water.pig
And these movies files (but not mandatory):
intro-h.mvl and/or intro-l.mvl
other-h.mvl and/or other-l.mvl
robots-h.mvl and/or robots-l.mvl
These files - except the Movies (*.mvl) - are archived in the file descent2.sow
This file is an ARJ-archive and can be extracted with an archiver like unarj
You don't own the full game, yet?
Just visit GOOD OLD GAMES via:
http://www.gog.com/en/gamecard/descent_1_descent_2/pp/fc074d501302eb2b93e2554793fcaf50b3bf7291
and download it for a very low price! DRM-FREE!
You can get AddOns for the game from http://www.dxx-rebirth.com/addons/
EOF
fi
}
post_upgrade() {
post_install
}
pre_remove() {
/bin/true
}
op=$1
shift
$op "$@"